Pgmtolispm User Manual(0)

NAME
pgmtolispm - convert a PGM image to Lisp Machine format

SYNOPSIS
pgmtolispm [pgmfile]

DESCRIPTION

This program is part of Netpbm(1) .

pgmtolispm reads a PGM image as input and produces a Lisp Machine bitmap as output.

This is the file format read by the tv:read-bit-array-file function on TI Explorer and Symbolics lisp machines.

Given a PGM (instead of a PBM), pgmtolispm outputs a multi-plane image. This is probably not useful unless you have a color lisp machine.

Multi-plane bitmaps on lisp machines are color; but the lispm image file format does not include a color map, so we must treat it as a graymap instead. This is unfortunate.

OPTIONS

There are no command line options defined specifically for pgmtolispm, but it recognizes the options common to all programs based on libnetpbm (See
 Common Options index.html#commonoptions .)

SEE ALSO
lispmtopgm(1) , pgm(1)

LIMITATIONS

Output width is always rounded up to the nearest multiple of 32; this might not always be what you want, but it probably is (arrays which are not modulo 32 cannot be passed to the Lispm BITBLT function, and thus cannot easily be displayed on the screen).

No color.

AUTHOR
Copyright (C) 1991 by Jamie Zawinski and Jef Poskanzer.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pgmtolispm.html